<div class="d-flex align-items-center border-bottom px-3 py-2 mb-0 m-neg-3 bg-light">
    <div class="w-100">
        <div class="row">
            <div class="col-md-6">
                <div class="bg-white p-2 rounded h-100">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="d-flex align-items-center">
                                <h6 class="text-muted text-nowrap mb-0"><b>Standard Login</b></h6>

                                <div class="ms-1">
                                    @if($user->is_standard_log_in_enabled)
                                    @include('app.my-account.admin.users.forms.standard-login-disable')
                                    @else
                                    <span><i class="fa-solid fa-toggle-large-off fa-fw fa-switch text-muted"></i></span>
                                    @endif
                                </div>

                            </div>
                            <div>
                                <div moe normal>
                                    <a start show href="#" class="text-primary">Reset password</a>
                                    <form url="/api/auth/adminChangePassword">
                                        @csrf
                                        <input type="hidden" name="userUid" value="{{ $user->uid }}">

                                        <div class="mb-2">
                                            <label for="" class="control-label">Password</label>
                                            <input type="text" name="newPassword" class="form-control">
                                        </div>

                                        <div class="mb-2">
                                            <label for="" class="control-label">Confirm Password</label>
                                            <input type="text" name="confirmNewPassword" class="form-control">
                                        </div>

                                        <div>
                                            <button submit class="btn btn-sm btn-primary me-2">Update password</button>
                                            <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="ms-1">
                                Latest login pin: {{$user->latestLoginPin()}}
                            </div>
                            <div class="ms-1">
                                Current Email confirmation token: {{$user->email_confirmation_token}}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="ps-2">
                                <div class="d-flex flex-column">
                                    <span class="me-2">Email: {{ $user->email ?? '---' }}</span>
                                    @if($user->email)
                                    <span class="me-2">Email Confirmed?
                                        @if($user->is_email_confirmed)
                                            <i class="fa-duotone fa-circle-check fa-fw text-success"></i> YES
                                        @else
                                            <i class="fa-duotone fa-circle-exclamation fa-fw text-warning"></i> NO
                                        @endif
                                    </span>
                                    @if(!$user->is_email_confirmed && !$user->switch_to_email)
                                    @include('app.my-account.admin.users.forms.confirm-email-change')
                                    @endif
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="d-flex flex-column mt-2">
                                <span>Password:</span>
                                <div class="d-flex flex-column ps-2">
                                    <span>Is password temporary? {{$user->is_password_temporary ? 'YES':'NO'}}</span>
                                    <div>
                                        <span class="me-2">Reset requested? {{$user->is_password_reset_requested ? 'YES':'NO'}}</span>
                                        @include('app.my-account.admin.users.forms.request-password-reset')
                                    </div>
                                    <div class="d-flex align-items-start flex-wrap">
                                        <span class="me-2">Reset Token: {{$user->password_reset_token}}</span>
                                        <div class="me-2">
                                            @include('app.my-account.admin.users.forms.reset-password')
                                        </div>
                                        <span class="me-2">Set at: @if($user->password_reset_token_set_at) {{friendly_date($user->password_reset_token_set_at)}} @else -- @endif</span>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex flex-wrap align-items-start">
                                <span class="me-2">Change: </span>
                                <div class="">
                                    @include('app.my-account.admin.users.forms.request-email-change')
                                </div>
                                <span class="mx-2 text-muted">|</span>
                                <div>
                                    @include('app.my-account.admin.users.forms.cancel-email-change')
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="bg-white p-2 rounded h-100">
                    <div class="d-flex align-items-center">
                        <h6 class="text-muted text-nowrap mb-0"><b>Google Login</b></h6>
                        <div class="mx-2">
                            @if($user->is_google_log_in_enabled)
                            <span><i class="fa-solid fa-toggle-large-on fa-fw fa-switch text-success"></i></span>
                            @else
                            <span><i class="fa-solid fa-toggle-large-off fa-fw fa-switch text-muted"></i></span>
                            @endif
                        </div>
                        <div>
                            @if($user->is_google_log_in_enabled)
                            @include('app.my-account.admin.users.forms.google-login-disconnect')
                            @endif
                        </div>
                    </div>
                    <div class="ps-2">
                        <div class="d-flex flex-column">
                            <span>Google Login Email: {{$user->google_login_email}}</span>
                            <div class="d-flex align-items-center">
                                <span>Google Login Data:</span>
                                @include('app.my-account.admin.users.forms.google-data-detail-json-view')
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3 d-none">
                <div class="bg-white p-2 rounded h-100">
                    <div class="d-flex align-items-center">
                        <h6 class="text-muted text-nowrap mb-0"><b>Facebook Login</b></h6>
                        <div class="mx-2">
                            @if($user->is_facebook_log_in_enabled)
                            <span><i class="fa-solid fa-toggle-large-on fa-fw fa-switch text-success"></i></span>
                            @else
                            <span><i class="fa-solid fa-toggle-large-off fa-fw fa-switch text-muted"></i></span>
                            @endif
                        </div>
                        <div>
                            @if($user->is_facebook_log_in_enabled)
                            @include('app.my-account.admin.users.forms.facebook-login-disconnect')
                            @endif
                        </div>
                    </div>
                    <div class="ps-2">
                        <div class="d-flex flex-column">
                            <span>Facebok Login Email: {{$user->facebook_login_email}}</span>
                            <div class="d-flex align-items-center">
                                <span>Facebook Login Data:</span>
                                @include('app.my-account.admin.users.forms.facebook-data-detail-json-view')
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
